Skip to main content
POST
Manually trigger execution of a workflow

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Body

application/json
triggerType
required
entityType
enum<string>
Available options:
transaction,
client
entityId
string<uuid>
inputs
object
uploadId
string<uuid>
filename
string
payload
any

Response

200 - application/json

OK

ok
any
required
workflowId
string<uuid>
required
executionId
string<uuid>
required
status
enum<string>
required
Available options:
queued,
completed,
waiting_for_input
error
string | null
required
alertIds
string[]
required
durationMs
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
producedRecords
object[]
producedFiles
object[]
rowCount
integer
Required range: -9007199254740991 <= x <= 9007199254740991
schemaHash
string